package com.koobietech.eas.mbg.mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.koobietech.eas.mbg.model.EasSysDepartment;
import com.koobietech.eas.mbg.model.EasSysDepartmentExample;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EasSysDepartmentMapper {
    long countByExample(EasSysDepartmentExample example);

    int deleteByExample(EasSysDepartmentExample example);

    int deleteByPrimaryKey(Long id);

    int insert(EasSysDepartment record);

    int insertSelective(EasSysDepartment record);

    List<EasSysDepartment> selectByExample(EasSysDepartmentExample example);

    EasSysDepartment selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") EasSysDepartment record, @Param("example") EasSysDepartmentExample example);

    int updateByExample(@Param("record") EasSysDepartment record, @Param("example") EasSysDepartmentExample example);

    int updateByPrimaryKeySelective(EasSysDepartment record);

    int updateByPrimaryKey(EasSysDepartment record);
}